Wallets, tokens & networks

Get Fireblocks Wallet Report

Lists Fireblocks vault accounts and asset balances via the custody provider factory.

GEThttps://api.toku.com/tga/get-fireblocks-wallet-report

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-fireblocks-wallet-report' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "vaultAccountId": "string",
    "vaultAccountName": "string",
    "assets": [
      {
        "id": "string",
        "address": "string",
        "legacyAddress": "string",
        "tag": "string",
        "balance": "string",
        "lockedAmount": "string",
        "available": "string",
        "pending": "string",
        "frozen": "string",
        "blockHeight": "string",
        "blockHash": "string"
      }
    ],
    "hiddenOnUI": true,
    "autoFuel": true
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
vaultAccountIdstringrequired
vaultAccountNamestringrequired
assetsobject[]required
Show child attributes
idstringrequired
addressstringrequired
legacyAddressstring
tagstring
balancestringrequired
lockedAmountstringrequired
availablestringrequired
pendingstringrequired
frozenstringrequired
blockHeightstring
blockHashstring
hiddenOnUIbooleanrequired
autoFuelbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits